LFR-FSW - Task #3201

GCOV Fonction scrubbing appelée?
13/11/2018 01:48 PM - Veronique bouzid

Status: Closed Start date: 13/11/2018
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r3.2.0.24

Description

Ce test lance le soft (LFRControlPlugin_start.py).
et on attend 3 hs.
Ensuite on envoie la commande reset.

On verifie que dans le fichier gcov_out_xxx on a bien une seule ligne référencant le fichier fsw_misc.c

History

#1 - 13/11/2018 02:31 PM - bruno katra

- Status changed from New to In Progress

Sur pc-solar1 verification du budget CPU en SBM1 en 3.2.0.24 via la lib RTEMS (compil avec -cpu-usage-report) : la tache IDLE est bien a 0 et la
tache de scrubbing a environ 36% donc elle est bien appelée :

CPU USAGE BY THREAD

+
+
+

ID | NAME | SECONDS | PERCENT
0x09010001 | IDLE | 0.000000 | 0.000
0x0A010002 | RECV | 0.012341 | 0.063
0x0A010003 | SEND | 0.353822 | 1.809
0x0A010004 | LINK | 0.000000 | 0.000
0x0A010005 | ACTN | 0.010593 | 0.054
0x0A010006 | SPIQ | 0.000000 | 0.000
0x0A010007 | AVFO | 8.675817 | 44.373
0x0A010008 | PRCO | 1.373520 | 7.024
0x0A010009 | AVF1 | 1.429543 | 7.311
0x0A01000A | PRC1 | 0.084260 | 0.430
0x0AQ01000B | AVE2 | 0.143949 | 0.736
0x0A01000C | PRC2 | 0.070771 | 0.361
0x0A01000D | WFRM | 0.000224 | 0.001
0xOAQ1000E | CWFE3 | 0.000140 | 0.000
0x0A01000F | CWE2 | 0.000415 | 0.002
0x0A010010 | CwWF1l | 0.023888 | 0.122
0x0A010011 | SWBD

0x0A010012 | LOAD

0x0A010013 | DUMB

0x0A010014 | SCRB

0x0A010015 | HOUS

0x0A010016 | AVGV

0x0A010017 | CALI

TIME SINCE LAST CPU USAGE RESET IN SECONDS:

.000000 | 0.000
.003687 | 0.018
.000000 | 0.000

.233435 | 36.995

.019726 | 0.100
.115816 | 0.592
.000000 | 0.000

19.551947

#2 - 13/12/2018 12:14 PM - Veronique bouzid
- File gcov_out_2018-11-13 15_29_05.416027.txt added
- File gcov.html added

- File gcov.LFR_basic-parameters_basic_parameters.c.html added

- File gcov.src_.._header_GscMemoryLPP.hpp.html added

- File gcov.src_.._header_processing_fsw_processing.h.html added

- File gcov.src_.._LFR_basic-parameters_basic_parameters.h.html added

- File gcov.src_fsw_init.c.html added
- File gcov.src_fsw_misc.c.html added
- File gcov.src_fsw_spacewire.c.html added

- File gcov.src_Ifr_cpu_usage_report.c.html added

On ne voit rien sur la couverture de test.

On refait un second test en compilant sur rangiroa LFR-FSW avec "ENABLE-SCRUBBING-COUNTER"

Les fichiers gcov_out sont rangés dans /opt/VALIDATION_R3plusplus/GCOV/NEW-SCRUB-INSTRU

On voit bien que dans la fonction rtems_task scrubbing_task (fichier fsw_misc.c) qu elle est activée et que le compteur i stocké dans les HK

s'incremente
parfaitement.

#3 - 13/12/2018 12:16 PM - Veronique bouzid

- Status changed from In Progress to Closed
